# Uses of Enum Class
java.security.cert.CRLReason

Packages that use CRLReason
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CRLReason in java.security.cert

Subclasses with type arguments of type CRLReason in java.security.cert
Modifier and Type
Class
Description
`enum`
`CRLReason`
The CRLReason enumeration specifies the reason that a certificate is revoked, as defined in RFC 5280: Internet X.509 Public Key Infrastructure Certificate and CRL Profile.
Methods in java.security.cert that return CRLReason
Modifier and Type
Method
Description
`CRLReason`
CertificateRevokedException.`getRevocationReason()`
Returns the reason the certificate was revoked.
`CRLReason`
X509CRLEntry.`getRevocationReason()`
Returns the reason the certificate has been revoked, as specified in the Reason Code extension of this CRL entry.
`static CRLReason`
CRLReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CRLReason[]`
CRLReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in java.security.cert with parameters of type CRLReason
Modifier
Constructor
Description
``
`CertificateRevokedException(Date revocationDate, CRLReason reason, X500Principal authority, Map<String, Extension> extensions)`
Constructs a `CertificateRevokedException` with the specified revocation date, reason code, authority name, and map of extensions.